.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the CurveTexture.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_CurveTexture:

CurveTexture
============

**Inherits:** :ref:`Texture<class_texture>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

A texture that shows a curve.

Member Variables
----------------

  .. _class_CurveTexture_curve:

- :ref:`Curve<class_curve>` **curve** - The ``curve`` rendered onto the texture.

  .. _class_CurveTexture_width:

- :ref:`int<class_int>` **width** - The width of the texture.


Description
-----------

Renders a given :ref:`Curve<class_curve>` provided to it. Simplifies the task of drawing curves and/or saving them as image files.

